# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g. crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "finality-grandpa"
version = "0.7.0"
authors = ["Parity Technologies <admin@parity.io>"]
description = "PBFT-based finality gadget for blockchains"
license = "GPL-3.0"
repository = "https://github.com/paritytech/finality-grandpa"
[dependencies.futures]
version = "0.1"

[dependencies.hashmap_core]
version = "0.1.10"
default-features = false

[dependencies.log]
version = "0.4"

[dependencies.num-traits]
version = "0.2"

[dependencies.parity-codec]
version = "3.0"
optional = true
default-features = false

[dependencies.parity-codec-derive]
version = "3.0"
optional = true
default-features = false

[dependencies.parking_lot]
version = "0.6"
[dev-dependencies.exit-future]
version = "0.1.2"

[dev-dependencies.rand]
version = "0.6.0"

[dev-dependencies.tokio]
version = "0.1.8"

[features]
default = ["std"]
derive-codec = ["parity-codec", "parity-codec-derive"]
std = ["parity-codec/std", "parity-codec-derive/std", "hashmap_core/disable"]
